libxml++: xmlpp::SchemaValidator Class Reference

libxml++ 2.34.2

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# xmlpp::SchemaValidator Class Reference

Schema Validator. More...

`#include <libxml++/validators/schemavalidator.h>`

Inheritance diagram for xmlpp::SchemaValidator:
[legend]
Collaboration diagram for xmlpp::SchemaValidator:
[legend]

List of all members.

## Public Member Functions
| SchemaValidator ()
| SchemaValidator (const Glib::ustring& file)
| SchemaValidator (Document& document)
| SchemaValidator (Schema* schema)
virtual | ~SchemaValidator ()
virtual void | parse_file (const Glib::ustring& filename)
virtual void | parse_memory (const Glib::ustring& contents)
virtual void | parse_document (Document& document)
virtual void | set_schema (Schema* schema)
| operator bool () const
| Test whether a document has been parsed.
Schema* | get_schema ()
const Schema* | get_schema () const
bool | validate (const Document* doc)
bool | validate (const Glib::ustring& file)
## Protected Member Functions
virtual void | initialize_valid ()
void | parse_context (_xmlSchemaParserCtxt* context)
virtual void | release_underlying ()
## Protected Attributes
Schema* | schema_
bool | embbeded_shema_
_xmlSchemaValidCtxt* | ctxt_

## Detailed Description

Schema Validator.

Since libxml++ 2.24:

## Constructor & Destructor Documentation

xmlpp::SchemaValidator::SchemaValidator | ( |  | ) |

xmlpp::SchemaValidator::SchemaValidator | ( | const Glib::ustring & | file | ) | `[explicit]`

xmlpp::SchemaValidator::SchemaValidator | ( | Document& | document | ) | `[explicit]`

xmlpp::SchemaValidator::SchemaValidator | ( | Schema* | schema | ) | `[explicit]`

virtual xmlpp::SchemaValidator::~SchemaValidator | ( |  | ) | `[virtual]`

## Member Function Documentation

Schema* xmlpp::SchemaValidator::get_schema | ( |  | ) |

const Schema* xmlpp::SchemaValidator::get_schema | ( |  | ) | const

virtual void xmlpp::SchemaValidator::initialize_valid | ( |  | ) | `[protected, virtual]`

Reimplemented from xmlpp::Validator.

xmlpp::SchemaValidator::operator bool | ( |  | ) | const

Test whether a document has been parsed.

void xmlpp::SchemaValidator::parse_context | ( | _xmlSchemaParserCtxt * | context | ) | `[protected]`

virtual void xmlpp::SchemaValidator::parse_document | ( | Document& | document | ) | `[virtual]`

virtual void xmlpp::SchemaValidator::parse_file | ( | const Glib::ustring & | filename | ) | `[virtual]`

virtual void xmlpp::SchemaValidator::parse_memory | ( | const Glib::ustring & | contents | ) | `[virtual]`

virtual void xmlpp::SchemaValidator::release_underlying | ( |  | ) | `[protected, virtual]`

Reimplemented from xmlpp::Validator.

virtual void xmlpp::SchemaValidator::set_schema | ( | Schema* | schema | ) | `[virtual]`

bool xmlpp::SchemaValidator::validate | ( | const Glib::ustring & | file | ) |

bool xmlpp::SchemaValidator::validate | ( | const Document* | doc | ) |

## Member Data Documentation

_xmlSchemaValidCtxt* xmlpp::SchemaValidator::ctxt_`[protected]`

bool xmlpp::SchemaValidator::embbeded_shema_`[protected]`

Schema* xmlpp::SchemaValidator::schema_`[protected]`

The documentation for this class was generated from the following file:

- validators/schemavalidator.h